projectEnd
PRO
The functionality is available in PRO Edition only
Description
Optional. Defines the end boundary of the project timelineThe projectEnd property allows you to explicitly define the end date of a project.
When the criticalPath feature is enabled in strict mode, projectEnd is used as the upper boundary for the backward pass that determines the critical path. If not provided, the end date is derived automatically from the tasks in the dataset.
Usage
projectEnd?: Date;
Parameters
projectEnd expects a JavaScript Date object which is a project end boundary.
Example
<script setup>
import { getData } from "../data";
import { Gantt } from "@svar/vue-gantt";
const data = getData();
const projectEnd = new Date(2024, 3, 12);
</script>
<template>
<Gantt
:tasks="data.tasks"
:links="data.links"
:projectEnd="projectEnd"
/>
</template>
Related articles:

projectStart
The functionality is available in PRO Edition only
PRODescription
Optional. Defines the end boundary of the project timelineThe projectEnd property allows you to explicitly define the end date of a project.
When the criticalPath feature is enabled in strict mode, projectEnd is used as the upper boundary for the backward pass that determines the critical path. If not provided, the end date is derived automatically from the tasks in the dataset.
Usage
projectEnd?: Date;
Parameters
projectEnd expects a JavaScript Date object which is a project end boundary.
Example
import { getData } from "../data";
import { Gantt } from "@svar/react-gantt";
export default function App() {
const data = getData();
const projectEnd = new Date(2024, 3, 12);
return (
<Gantt
tasks={data.tasks}
links={data.links}
projectEnd={projectEnd}
/>
);
}